Package org.eclipse.lemminx.dom.parser

## Enum ScannerState

- java.lang.Object
- - java.lang.Enum<ScannerState>
  - - org.eclipse.lemminx.dom.parser.ScannerState

All Implemented Interfaces:
  `Serializable`, `Comparable<ScannerState>`

    public enum ScannerState
    extends Enum<ScannerState>

XML Scanner state.

### Enum Constant Summary

Enum Constants
`AfterAttributeName`
`AfterClosingCDATATag`
`AfterOpeningEndTag`
`AfterOpeningStartTag`
`AfterPrologOpen`
`BeforeAttributeValue`
`DoctypeUnrecognizedParameters`
`DTDAfterAttlistAttributeName`
`DTDAfterAttlistAttributeType`
`DTDAfterAttlistElementName`
`DTDAfterAttlistName`
`DTDAfterDoctypeName`
`DTDAfterDoctypePUBLIC`
`DTDAfterDoctypePublicId`
`DTDAfterDoctypeSYSTEM`
`DTDAfterEntityName`
`DTDAfterEntityPUBLIC`
`DTDAfterEntitySYSTEM`
`DTDAfterNotationName`
`DTDAfterNotationPUBLIC`
`DTDAfterNotationPublicId`
`DTDAfterNotationSYSTEM`
`DTDElementAfterName`
`DTDElementWithinContent`
`DTDUnrecognizedParameters`
`DTDWithinAttlist`
`DTDWithinContent`
`DTDWithinDoctype`
`DTDWithinElement`
`DTDWithinEntity`
`DTDWithinNotation`
`PrologOrPI`
`StartCDATATag`
`WithinCDATA`
`WithinComment`
`WithinContent`
`WithinEndTag`
`WithinPI`
`WithinProlog`
`WithinTag`

### Method Summary

All Methods Static Methods Concrete Methods
`static ScannerState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ScannerState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WithinContent

    public static final ScannerState WithinContent

#### AfterOpeningStartTag

    public static final ScannerState AfterOpeningStartTag

#### AfterOpeningEndTag

    public static final ScannerState AfterOpeningEndTag

#### WithinProlog

    public static final ScannerState WithinProlog

#### WithinTag

    public static final ScannerState WithinTag

#### WithinEndTag

    public static final ScannerState WithinEndTag

#### WithinComment

    public static final ScannerState WithinComment

#### AfterAttributeName

    public static final ScannerState AfterAttributeName

#### BeforeAttributeValue

    public static final ScannerState BeforeAttributeValue

#### WithinCDATA

    public static final ScannerState WithinCDATA

#### AfterClosingCDATATag

    public static final ScannerState AfterClosingCDATATag

#### StartCDATATag

    public static final ScannerState StartCDATATag

#### AfterPrologOpen

    public static final ScannerState AfterPrologOpen

#### PrologOrPI

    public static final ScannerState PrologOrPI

#### WithinPI

    public static final ScannerState WithinPI

#### DTDWithinDoctype

    public static final ScannerState DTDWithinDoctype

#### DTDAfterDoctypeName

    public static final ScannerState DTDAfterDoctypeName

#### DTDAfterDoctypePUBLIC

    public static final ScannerState DTDAfterDoctypePUBLIC

#### DTDAfterDoctypeSYSTEM

    public static final ScannerState DTDAfterDoctypeSYSTEM

#### DTDAfterDoctypePublicId

    public static final ScannerState DTDAfterDoctypePublicId

#### DTDWithinContent

    public static final ScannerState DTDWithinContent

#### DTDWithinElement

    public static final ScannerState DTDWithinElement

#### DTDWithinAttlist

    public static final ScannerState DTDWithinAttlist

#### DTDWithinEntity

    public static final ScannerState DTDWithinEntity

#### DTDElementAfterName

    public static final ScannerState DTDElementAfterName

#### DTDElementWithinContent

    public static final ScannerState DTDElementWithinContent

#### DTDAfterAttlistName

    public static final ScannerState DTDAfterAttlistName

#### DTDAfterAttlistElementName

    public static final ScannerState DTDAfterAttlistElementName

#### DTDAfterAttlistAttributeName

    public static final ScannerState DTDAfterAttlistAttributeName

#### DTDAfterAttlistAttributeType

    public static final ScannerState DTDAfterAttlistAttributeType

#### DTDAfterEntityName

    public static final ScannerState DTDAfterEntityName

#### DTDUnrecognizedParameters

    public static final ScannerState DTDUnrecognizedParameters

#### DTDWithinNotation

    public static final ScannerState DTDWithinNotation

#### DTDAfterNotationName

    public static final ScannerState DTDAfterNotationName

#### DTDAfterNotationPUBLIC

    public static final ScannerState DTDAfterNotationPUBLIC

#### DTDAfterNotationSYSTEM

    public static final ScannerState DTDAfterNotationSYSTEM

#### DTDAfterNotationPublicId

    public static final ScannerState DTDAfterNotationPublicId

#### DTDAfterEntityPUBLIC

    public static final ScannerState DTDAfterEntityPUBLIC

#### DTDAfterEntitySYSTEM

    public static final ScannerState DTDAfterEntitySYSTEM

#### DoctypeUnrecognizedParameters

    public static final ScannerState DoctypeUnrecognizedParameters

### Method Detail

#### values

    public static ScannerState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScannerState c : ScannerState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScannerState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null